Page MenuHomePhabricator

Mobile FrontEnd gives useless generic error message on edit conflict
Closed, ResolvedPublic

Description

When editing WP from my smartphone,* I frequently get messages saying approximately "Error: Something went wrong during Save" that turn out to be edit conflicts. Desktop interface reports these explicitly; mobile should as well.
: * Samsung Verizon Android Galaxy S-3, SCH-I535, OS v4.4.2

Event Timeline

Thnidu created this task.Dec 10 2015, 8:12 AM
Thnidu raised the priority of this task from to Needs Triage.
Thnidu updated the task description. (Show Details)
Thnidu added a subscriber: Thnidu.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 10 2015, 8:12 AM
Thnidu updated the task description. (Show Details)Dec 10 2015, 8:19 AM
Thnidu added a project: Mobile.
Thnidu set Security to None.
Aklapper edited projects, added MobileFrontend; removed Mobile.Dec 10 2015, 11:26 AM
Jdlrobson triaged this task as Normal priority.Dec 10 2015, 5:55 PM
Jdlrobson added a project: Contributors-Team.

Was this using the visual editor or the wikitext editor?

Change 260693 had a related patch set uploaded (by Alex Monk):
Various fixes for wikitext saving error handling

https://gerrit.wikimedia.org/r/260693

Krenair claimed this task.Dec 22 2015, 11:42 PM

Spent less than 20 minutes on this, found a couple of other issues along the way too. Should all be fixed in the above patch, thanks for your report @Thnidu.

@Krenair, glad to kvetch constructively!! ;-)

Change 260693 merged by jenkins-bot:
Various fixes for wikitext saving error handling

https://gerrit.wikimedia.org/r/260693

Krenair closed this task as Resolved.EditedDec 23 2015, 9:57 PM

That should fix it. Obviously your normal wiki won't update to use our new code immediately, but the development code running on *.beta.wmflabs.org should be fine now.

@Krenair, that sure is good news. I'll watch for the next edit conflict and report back, whichever way it goes.